export type SocialButton = {
  id?: number;
  icon: Icon;
  platform: string;
  username: string;
  project?: null;
  url?: string;
};

export type ProjectButton = {
  id?: number;
  icon: Icon;
  project: string;
  platform: string;
  url?: string;
};


export type Icon =
  | "x"
  | "smile"
  | "shuffle"
  | "parallelogram"
  | "messages"
  | "link"
  | "image"
  | "hash"
  | "graph"
  | "globe"
  | "git-branch"
  | "envelope"
  | "chevron-right"
  | "chevron-left"
  | "asterisk"
  | "arrow-up-right"
  | "arrow-right"
  | "spotify"
  | "arrow-right"
  | "note"
